package cn.com.infosec.mobile.android.net;

import android.support.annotation.Keep;
import android.support.annotation.NonNull;

@Keep
public class InfosecSocketParam {
   @Keep
   private int connectTimeout;
   @Keep
   private int responseTimeout;
   @Keep
   private String hostIP;
   @Keep
   private int hostPort;
   @Keep
   private String[] caFile;
   @Keep
   private String signCert;
   @Keep
   private String signKey;
   @Keep
   private String encCert;
   @Keep
   private String encKey;
   @Keep
   private String sslPasswd;
   @Keep
   private String certAlias;
   @Keep
   private String certPIN;
   @Keep
   private int verifyRoot = 1;
   @Keep
   private String SNI;

   public int getResponseTimeout() {
      return this.responseTimeout;
   }

   public void setResponseTimeout(int responseTimeout) {
      this.responseTimeout = responseTimeout;
   }

   public String[] getCaFile() {
      return this.caFile;
   }

   public void setCaFile(@NonNull String[] caFile) {
      this.caFile = caFile;
   }

   public int getConnectTimeout() {
      return this.connectTimeout;
   }

   public void setConnectTimeout(int connectTimeout) {
      this.connectTimeout = connectTimeout;
   }

   public String getSignCert() {
      return this.signCert;
   }

   public void setSignCert(String signCert) {
      this.signCert = signCert;
   }

   public String getSignKey() {
      return this.signKey;
   }

   public void setSignKey(String signKey) {
      this.signKey = signKey;
   }

   public String getEncCert() {
      return this.encCert;
   }

   public void setEncCert(String encCert) {
      this.encCert = encCert;
   }

   public String getEncKey() {
      return this.encKey;
   }

   public void setEncKey(String encKey) {
      this.encKey = encKey;
   }

   public String getSslPasswd() {
      return this.sslPasswd;
   }

   public void setSslPasswd(String sslPasswd) {
      this.sslPasswd = sslPasswd;
   }

   public String getCertAlias() {
      return this.certAlias;
   }

   public void setCertAlias(String certAlias) {
      this.certAlias = certAlias;
   }

   public String getCertPIN() {
      return this.certPIN;
   }

   public void setCertPIN(String certPIN) {
      this.certPIN = certPIN;
   }

   public String getHostIP() {
      return this.hostIP;
   }

   public void setHostIP(String hostIP) {
      this.hostIP = hostIP;
   }

   public int getHostPort() {
      return this.hostPort;
   }

   public void setHostPort(int hostPort) {
      this.hostPort = hostPort;
   }
}
